#
# spec file for package rubygem-rails-html-sanitizer
#
# Copyright (c) 2022 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rails-html-sanitizer
Version:        1.0.4
Release:        150000.4.6.1
%define mod_name rails-html-sanitizer
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/rails/rails-html-sanitizer
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  0001_CVE-2022-32209.patch
Patch1:  0002_CVE-2022-23517_CVE-2022-23518_CVE-2022-23519_CVE-2022-23520.patch
# /MANUAL
Summary:        HTML sanitization to Rails applications (part of Rails)
License:        MIT
Group:          Development/Languages/Ruby

%description
HTML sanitization for Rails applications.

%prep
%gem_unpack
%patch0 -p1
%patch1 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Aug 31 2023 paolo.perego@suse.com
- Fixing typos in CVEs corrected by prior submission
* Wed Aug 30 2023 paolo.perego@suse.com
- Add patch 0002_CVE-2022-23517_CVE-2022-23518_CVE-2022-23519_CVE-2022-23520.patch
  This patch fixes 4 different CVEs:
  * CVE-2022-23517 (bsc#1206433)
  * CVE-2022-23518 (bsc#1206434)
  * CVE-2022-23519 (bsc#1206435)
  * CVE-2022-23520 (bsc#1206436)
  In order to have the
  0002_CVE-2022-23517_CVE-2022-23518_CVE-2022-23519_CVE-2022-23520.patch
  working smoothly I monkey patched loofah API and crass rubygem code into
  rails-html-sanitizer.
* Thu Aug 18 2022 mschnitzer@suse.com
- Add patch 0001_CVE-2022-32209.patch
  This patch fixes CVE-2022-32209 (bsc#1201183)
* Fri Mar 23 2018 dkang@suse.com
- updated to version 1.0.4
  * CVE-2018-3741: XSS vulnerability
  see installed CHANGELOG.md
  fix bsc#1086598
* Tue Jan 26 2016 coolo@suse.com
- updated to version 1.0.3:
  * boo#963326: CVE-2015-7578: XSS vulnerability via attributes
  * boo#963327: CVE-2015-7579: XSS vulnerability
  * boo#963328: CVE-2015-7580: XSS via whitelist sanitizer
* Mon Mar 16 2015 coolo@suse.com
- updated to version 1.0.2, no changelog
* Mon Feb  9 2015 coolo@suse.com
- initial package (version 1.0.1)
